Imagick::transparentPaintImage
Imagick::transverseImage
Imagick
PHP Manual

# Imagick::transposeImage

(PECL imagick 2.0.0)

Imagick::transposeImage — Creates a vertical mirror image

### Description

bool Imagick::transposeImage ( void )

Creates a vertical mirror image by reflecting the pixels around the central x-axis while rotating them 90-degrees. This method is available if Imagick has been compiled against ImageMagick version 6.2.9 or newer.

### Return Values

Returns `TRUE` on success.

### See Also

- Imagick::transverseImage() - Creates a horizontal mirror image

Imagick::transparentPaintImage
Imagick::transverseImage
Imagick
PHP Manual